summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'media-sound/wavpack/wavpack-4.50.1-r1.ebuild')
-rw-r--r--media-sound/wavpack/wavpack-4.50.1-r1.ebuild29
1 files changed, 29 insertions, 0 deletions
diff --git a/media-sound/wavpack/wavpack-4.50.1-r1.ebuild b/media-sound/wavpack/wavpack-4.50.1-r1.ebuild
new file mode 100644
index 000000000..c6c6234e4
--- /dev/null
+++ b/media-sound/wavpack/wavpack-4.50.1-r1.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/media-sound/wavpack/wavpack-4.50.1-r1.ebuild,v 1.1 2009/05/10 14:58:32 ssuominen Exp $
+
+EAPI=2
+inherit eutils libtool multilib-native
+
+DESCRIPTION="WavPack audio compression tools"
+HOMEPAGE="http://www.wavpack.com"
+SRC_URI="http://www.wavpack.com/${P}.tar.bz2"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd"
+IUSE="mmx"
+
+src_prepare() {
+ epatch "${FILESDIR}"/${P}-gcc44.patch
+ elibtoolize
+}
+
+multilib-native_src_configure_internal() {
+ econf $(use_enable mmx)
+}
+
+multilib-native_src_install_internal() {
+ emake DESTDIR="${D}" install || die "emake install failed"
+ dodoc ChangeLog README
+}